PR_SET_KEEPCAPS(2const)

NAME
PR_SET_KEEPCAPS - set the state of the "keep capabilities" flag

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_SET_KEEPCAPS, long state);

DESCRIPTION
Set the state of the calling thread's "keep capabilities" flag. The effect of this flag is described in capabilities(7). state must be either 0L (clear the flag) or 1L (set the flag). The "keep capabilities" value will be reset to 0 on subsequent calls to execve(2).

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    state is not a valid value.

EPERM
    The caller's SECBIT_KEEP_CAPS_LOCKED flag is set (see capabilities(7)).

STANDARDS
Linux.

HISTORY
Linux 2.2.18.

SEE ALSO
prctl(2), PR_GET_KEEPCAPS(2const)